# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::VLXLinker Class Reference

Links several VLX hierachies also resolving IDs across them. More...

`#include <VLXLinker.hpp>`

List of all members.

## Public Member Functions

void | add (VLXTaggedValue *module)
bool | link ()
std::vector< ref < VLXTaggedValue > > & | modules ()
const std::vector< ref < VLXTaggedValue > > & | modules () const

## Public Attributes

std::vector< ref < VLXTaggedValue > > | mModules

## Detailed Description

Links several VLX hierachies also resolving IDs across them.

Definition at line 41 of file VLXLinker.hpp.

## Member Function Documentation

void vl::VLXLinker::add | ( | VLXTaggedValue * | module ) | `[inline]`

Definition at line 44 of file VLXLinker.hpp.

References mModules.

Referenced by vl::VLXParser::link().

bool vl::VLXLinker::link | ( | ) | `[inline]`

Definition at line 49 of file VLXLinker.hpp.

References vl::VLXVisitorLinker::error(), vl::VLXVisitorLinkMapper::error(), and mModules.

Referenced by vl::VLXParser::link().

std::vector< ref<VLXTaggedValue> >& vl::VLXLinker::modules | ( | ) | `[inline]`

Definition at line 72 of file VLXLinker.hpp.

References mModules.

const std::vector< ref<VLXTaggedValue> >& vl::VLXLinker::modules | ( | ) | const`[inline]`

Definition at line 74 of file VLXLinker.hpp.

References mModules.

## Member Data Documentation

std::vector< ref<VLXTaggedValue> > vl::VLXLinker::mModules

Definition at line 77 of file VLXLinker.hpp.

Referenced by add(), link(), and modules().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXLinker.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:17.
Permission is granted to use this page to write and publish articles regarding Visualization Library.